首页 新闻 搜索 专区 学院

使用dotnetCore自带的Angular模板怎么正确引入Element-Angular框架?

0
悬赏园豆:10 [已解决问题] 解决于 2018-06-06 16:11

Github上看到了一个Augular4的框架Element-AngularDocumentation)貌似是饿了么的...

不管他是谁家的吧,反正各种动画效果做的都比较中意,想借鉴一下。

 

用VS建的Dotnet Core 2.0下面自带的Angular模板,并且已经把Augular的相关组件已经升级为4.4.7(原默认4.2.5)

按照教程,把引用加进了app.shared.module.ts里,运行报错,查了一下大概是因为微软这套模板自带Webpack和服务器端渲染,而这套模板本身需要依赖BrowserModule,所以把引用加到了app.browser.module.ts中,再运行,没报错,但是问题来

所有的样式加载出来不说,所有框架上的指令也都不执行,框架内定义的组件也都直接报错未定义...

 

我同样的操作,用纯npm和ng指令按照教程操作一个遍(避免core中webpack,服务器渲染,热拔插的捣乱)就可以。

 

PS:

之所以用4.4.7,是因为微软提供的那个aspnet-webpack(2.0.1)最高支持Angular4.x版本,用5以上就报错。

写代码的相声演员的主页 写代码的相声演员 | 小虾三级 | 园豆:517
提问于:2018-05-25 14:16
< >
分享
最佳答案
0

你可以手动安装最新的 SPA 模板:https://docs.microsoft.com/en-us/aspnet/core/spa/index?view=aspnetcore-2.0#installation

这个模板里面用的是 Angular/Cli 创建的模板,可以很容易的跟各种 Angular 库配合使用。

收获园豆:10
不如隐茶去 | 小虾三级 |园豆:554 | 2018-05-27 21:55

我已经彻底放弃了微软的那套框架了,什么浏览器端渲染,完全不知道该怎么弄,再加上微软的webpack包,各种问题。

直接建一个空的DotnetCore项目,再在其下面通过Angular-Cli创建一个angular项目。目前用的6.X,按照教程上走没有问题

写代码的相声演员 | 园豆:517 (小虾三级) | 2018-06-06 16:10

@写代码的相声演员: 微软的 SPA 模板 2.0 版本的前端部分也是 ng-cli 创建的。

不如隐茶去 | 园豆:554 (小虾三级) | 2018-06-06 16:13
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册